Bug 23126 - RFE: More symbolic links, fstab and /mnt
RFE: More symbolic links, fstab and /mnt
Status: CLOSED RAWHIDE
Product: Red Hat Raw Hide
Classification: Retired
Component: kudzu (Show other bugs)
1.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
David Lawrence
:
: 25450 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-01-02 01:22 EST by Andrew Bartlett
Modified: 2014-03-16 22:17 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-02-01 16:58:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Andrew Bartlett 2001-01-02 01:22:09 EST
Would it be possible for kudzu to add appropriate symbolic links,
/etc/fstab entries and /mnt points for the devices it detects?

It would be really nice if (for example) a zip drive is added to the
machine, for links from /dev/sda to /dev/zip and /dev/sda[1-4] to
/dev/zip[1-4], as well as the approprate entry in /etc/fstab and mount
point for it to end up on.  Combined with a small modification to
/etc/security/console.perms (adding a wildcard '*' to the zip line) it
would allow a console user to use the zip drive without particular fuss.

Similarly links for CD burners suitable for allowing the console
permissions aquired from /etc/security/console.perms would be nice.  (This
may already be done - my burner is in my 6.2 machine and is decteted as a
CDROM only).  

For normal cdrom drives the first drive works fine, (becouse its setup is
from the default configuration) but a second drive needs manual
configuration - IMHO kudzu should add the extra entries and mount points if
possible.

This same concept could be spread to other storage devices, it would be
neat to get my new (or new-to-this-computer) hard disk automaticly
allocated a mount-point, if not automaticly mounted.
Comment 1 Bill Nottingham 2001-02-01 16:58:48 EST
*** Bug 25450 has been marked as a duplicate of this bug. ***
Comment 2 Bill Nottingham 2001-02-12 17:55:16 EST
This is fixed in kudzu-0.96-1 with the addition of the updfstab program.

Note You need to log in before you can comment on or make changes to this bug.